# ucwords

(PHP 4, PHP 5, PHP 7)

ucwords — Uppercase the first character of each word in a string

### Description

ucwords ( string `$str` [, string `$delimiters` = " \t\r\n\f\v" ] ) : string

Returns a string with the first character of each word in `str` capitalized, if that character is alphabetic.

The definition of a word is any string of characters that is immediately after any character listed in the `delimiters` parameter (By default these are: space, form-feed, newline, carriage return, horizontal tab, and vertical tab).

### Parameters

`str`

  The input string.

`delimiters`

  The optional `delimiters` contains the word separator characters.

### Return Values

Returns the modified string.

### Changelog

Version | Description
--- | ---
5.4.32, 5.5.16 | Added the `delimiters` parameter.

### Examples

Example #1 ucwords() example

`<?php
$foo = 'hello world!';
$foo = ucwords($foo); // Hello World!
$bar = 'HELLO WORLD!';
$bar = ucwords($bar); // HELLO WORLD!
$bar = ucwords(strtolower($bar)); // Hello World!
?>`

Example #2 ucwords() example with custom delimiter

`<?php
$foo = 'hello|world!';
$bar = ucwords($foo); // Hello|world!
$baz = ucwords($foo, "|"); // Hello|World!
?>`

### Notes

> Note: This function is binary-safe.

### See Also

- strtoupper() - Make a string uppercase
- strtolower() - Make a string lowercase
- ucfirst() - Make a string's first character uppercase
- mb_convert_case() - Perform case folding on a string